<?php
    
    if ( !defined('ABSPATH') )
        define('ABSPATH', str_replace( '\\', '/', dirname(__FILE__) . '/' ) );
    
    
    $action             =   isset($_GET['action'])              ?   preg_replace('/[^a-z0-9_-]/i', '', (string) $_GET['action'])                :   '';
    $file_path          =   isset($_GET['file_path'])           ?   preg_replace('#[^/A-Za-z0-9._\- ]#', '', (string) $_GET['file_path'])       :   '';
    $blog_id            =   isset($_GET['blog_id'])             ?   preg_replace('/[^0-9]/i', '', (string) $_GET['blog_id'])                     :   '';
    
    if(empty($action)   ||  empty($file_path)   ||  empty($blog_id))
        die();
    
    include_once('class.file-processor.php');
        
    $WPH_FileProcess  =   new WPH_File_Processor( $action, $file_path, $blog_id );
    $WPH_FileProcess->run();    

?>